> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organization notification template

> This endpoint is no longer in use. Please use getOrgNotificationTemplateV2 instead.



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/org/getOrgNotificationTemplate
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/org/getOrgNotificationTemplate:
    post:
      tags:
        - Org Webservice
      summary: Get organization notification template
      description: >-
        This endpoint is no longer in use. Please use
        getOrgNotificationTemplateV2 instead.
      operationId: getOrgNotificationTemplate
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Org_GetOrgNotificationTemplateWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Org_GetOrgNotificationTemplateWSResponse'
          description: OK
      deprecated: true
components:
  schemas:
    Org_GetOrgNotificationTemplateWSRequest:
      type: object
      description: Request object for getting organization notification template.
    Org_GetOrgNotificationTemplateWSResponse:
      type: object
      description: Response object containing organization notification template.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        notificationSettings:
          $ref: '#/components/schemas/UserNotificationSettingsV3Type'
        warningMsg:
          type: string
          nullable: true
    UserNotificationSettingsV3Type:
      type: object
      description: List of user notification settings (V3)
      properties:
        notificationIntervalsV2:
          type: array
          items:
            $ref: '#/components/schemas/NotificationIntervalV2Type'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        smsPhoneNumbers:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        summaryEmailEnabled:
          type: boolean
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    NotificationIntervalV2Type:
      type: object
      properties:
        activityTriggerMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/NotificationEnumType'
            nullable: true
            uniqueItems: true
          nullable: true
        deviceFilterSet:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        diagnosticTriggerMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/NotificationEnumType'
            nullable: true
            uniqueItems: true
          nullable: true
        locationActivityTriggerMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/NotificationEnumType'
            nullable: true
            uniqueItems: true
          nullable: true
        locationDiagnosticTriggerMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/NotificationEnumType'
            nullable: true
            uniqueItems: true
          nullable: true
        locationFilterSet:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        locationOnlyFilterSet:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        minuteOfWeekStart:
          type: integer
          format: int32
          nullable: true
        minuteOfWeekStop:
          type: integer
          format: int32
          nullable: true
    NotificationEnumType:
      type: string
      enum:
        - SMS
        - EMAIL
        - APP
        - SLACK
        - MICROSOFT_TEAMS
        - BROWSER
        - UNKNOWN
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````